MessageLogger
Date: 2014-12-13

org.apache.ivy.util

## Interface MessageLogger

- All Known Implementing Classes:
    AbstractMessageLogger, AntMessageLogger, DefaultMessageLogger, MessageLoggerEngine

      public interface MessageLogger

  A MessageLogger is used to log messages.

  Where the messages are logged is depending on the implementation.

  This interface provides both level specific methods (`info(String)`, `warn(String)` , ...) and generic methods (`log(String, int)`, `rawlog(String, int)`). Note that calling level specific methods is usually not equivalent to calling the generic method with the corresponding level. Indeed, for warn and error level, the implementation will actually log the message at a lower level (usually `Message.MSG_VERBOSE`) and log the message at the actual level only when `sumupProblems()` is called.

  See Also:
    `Message`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearProblems()` Clears the list of problems, warns and errors.
    `void` | `debug(java.lang.String msg)`
    `void` | `deprecated(java.lang.String msg)`
    `void` | `endProgress()`
    `void` | `endProgress(java.lang.String msg)`
    `void` | `error(java.lang.String msg)`
    `java.util.List<java.lang.String>` | `getErrors()`
    `java.util.List<java.lang.String>` | `getProblems()`
    `java.util.List<java.lang.String>` | `getWarns()`
    `void` | `info(java.lang.String msg)`
    `boolean` | `isShowProgress()`
    `void` | `log(java.lang.String msg, int level)` Logs a message at the given level.
    `void` | `progress()`
    `void` | `rawinfo(java.lang.String msg)`
    `void` | `rawlog(java.lang.String msg, int level)` Same as `log(String, int)`, but without adding any contextual information to the message.
    `void` | `setShowProgress(boolean progress)`
    `void` | `sumupProblems()` Sumup all problems encountered so far, and clear them.
    `void` | `verbose(java.lang.String msg)`
    `void` | `warn(java.lang.String msg)`

- - ### Method Detail

    - #### log

          void log(java.lang.String msg,
                 int level)

      Logs a message at the given level.

      `level` constants are defined in the `Message` class.

      Parameters:
        `msg` - the message to log
        `level` - the level at which the message should be logged.
      See Also:
        `Message.MSG_DEBUG`, `Message.MSG_VERBOSE`, `Message.MSG_INFO`, `Message.MSG_WARN`, `Message#MSG_ERROR`

    - #### rawlog

          void rawlog(java.lang.String msg,
                    int level)

      Same as `log(String, int)`, but without adding any contextual information to the message.
      Parameters:
        `msg` - the message to log
        `level` - the level at which the message should be logged.

    - #### debug

          void debug(java.lang.String msg)

    - #### verbose

          void verbose(java.lang.String msg)

    - #### deprecated

          void deprecated(java.lang.String msg)

    - #### info

          void info(java.lang.String msg)

    - #### rawinfo

          void rawinfo(java.lang.String msg)

    - #### warn

          void warn(java.lang.String msg)

    - #### error

          void error(java.lang.String msg)

    - #### getProblems

          java.util.List<java.lang.String> getProblems()

    - #### getWarns

          java.util.List<java.lang.String> getWarns()

    - #### getErrors

          java.util.List<java.lang.String> getErrors()

    - #### clearProblems

          void clearProblems()

      Clears the list of problems, warns and errors.

    - #### sumupProblems

          void sumupProblems()

      Sumup all problems encountered so far, and clear them.

    - #### progress

          void progress()

    - #### endProgress

          void endProgress()

    - #### endProgress

          void endProgress(java.lang.String msg)

    - #### isShowProgress

          boolean isShowProgress()

    - #### setShowProgress

          void setShowProgress(boolean progress)